| 1.0.0 API documentation

Functions
exponential.hpp File Reference

Core features More...

Go to the source code of this file.

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | exp (vec< L, T, Q > const &v)
| Returns the natural exponentiation of v, i.e., e^v. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | exp2 (vec< L, T, Q > const &v)
| Returns 2 raised to the v power. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | inversesqrt (vec< L, T, Q > const &v)
| Returns the reciprocal of the positive square root of v. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | log (vec< L, T, Q > const &v)
| Returns the natural logarithm of v, i.e., returns the value y which satisfies the equation x = e^y. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | log2 (vec< L, T, Q > const &v)
| Returns the base 2 log of x, i.e., returns the value y, which satisfies the equation x = 2 ^ y. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | pow (vec< L, T, Q > const &base, vec< L, T, Q > const &exponent)
| Returns 'base' raised to the power 'exponent'. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | sqrt (vec< L, T, Q > const &v)
| Returns the positive square root of v. More...

## Detailed Description

Core features

See also
  GLSL 4.20.8 specification, section 8.2 Exponential Functions

Definition in file exponential.hpp.